/* 
Theme Name: Child
Author: ConsulWeb Development Team
Author URI: https://consulweb.com/
Template: hello-elementor
Version: 2.0.0
Text Domain: hello-elementor-child
License: GNU General Public License v3 or later.
License URI: https://www.gnu.org/licenses/gpl-3.0.html
*/
@font-face {
	font-family: 'Outfit';
	src: url("/wp-content/themes/child/fonts/Outfit.woff2") format("woff2-variations");
	font-weight: 100 1000;
	font-stretch: 75% 125%;
	font-style: normal;
	font-display: swap;
}

/* tipografia */
body, input, textarea, select, button {
    font-synthesis: none;
    -moz-font-feature-settings: 'kern';
    -webkit-font-smoothing: antialiased;
    -moz-osx-font-smoothing: grayscale;
    direction: ltr;
	font-family: 'Outfit';
	font-weight: 300;
}
p {
	text-align: justify;
}

@media (min-width: 768px) {
	h1 {
		font-size: 3.4rem;
	}
	h2 {
		font-size: 2.8rem;
	}
}

/* general */
body {
	color: var(--e-global-color-text);
	font-size: 17px;
	overflow-x: clip;
}
a, a:hover, a:active {
	color: var(--e-global-color-text);
}

/* scrollbar */
* {
  scrollbar-width: thin;
  scrollbar-color: var(--e-global-color-accent) var(--e-global-color-primary);
}
*::-webkit-scrollbar {
  height: 5px;
  width: 5px;
}
*::-webkit-scrollbar-track {
  border-radius: 0px;
  background-color: var(--e-global-color-accent);
}
*::-webkit-scrollbar-thumb {
  border-radius: 0px;
  background-color: var(--e-global-color-primary);
}

/* header */
header {
	position: absolute;
	width: 100%;
	top: 0;
	z-index: 9991;
}
header.hfe-sticky {
	position: fixed;
	animation: slide-down 0.8s;
	box-shadow: 0px 1px 0px rgba(53,114,103,0.2);
}
header .h-logo {
	transition: 1s;
}
header.hfe-sticky .h-logo {
	transition: 1s;
	transform-origin: center left;
	transform: scale(0.8);
}
main {
	margin-top: 65px;
}
.no-link > a {
    cursor: default;
}
@keyframes slide-down {
    0% {
        transform: translateY(-100%);
    } 
    100% {
        transform: translateY(0);
    }
}
.h-icon {
	line-height: 0;
}
@media (max-width: 767px) {
	main {
		margin-top: 45px;
	}
}

/* marquee */
.marquee .elementor-widget-container {
	--gap: 40px;
	--duration: 60s;
	display: flex;
	overflow: hidden;
	user-select: none;
	gap: var(--gap);
}
.marquee__content {
	list-style-type: none;
	flex-shrink: 0;
	display: flex;
	justify-content: space-around;
	min-width: 100%;
	gap: var(--gap);
	padding-inline-start: 0;
	font-size: 6rem;
	color: var(--e-global-color-text);
	-webkit-text-stroke: min(0.25vmin, 1px) var(--e-global-color-text);
	text-stroke: min(0.25vmin, 1px) var(--e-global-color-text);
	text-transform: uppercase;
	font-family: sans-serif;
	font-weight: 600;
	animation: scroll var(--duration) linear infinite;
}
.marquee__content li:nth-child(odd) {
	color: var(--e-global-color-secondary);
	-webkit-text-stroke: min(0.25vmin, 1px) var(--e-global-color-text);
	text-stroke: min(0.25vmin, 1px) var(--e-global-color-text);
}
@keyframes scroll {
	from {
		transform: translateX(0);
	}
	to {
		transform: translateX(calc(-100% - var(--gap)));
	}
}

/* scrolldown */
.arrow {
  width: 40px;
  height: 40px;
  border-bottom: 1px solid var(--e-global-color-text);
  border-right: 1px solid var(--e-global-color-text);
  transform: rotate(45deg);
  animation: move 1.3s infinite;
  margin: -3px;
}
.arrow:nth-child(2) {
    animation-delay: 0.15s;
}
.arrow:nth-child(3) {
    animation-delay: 0.30s;
}

@keyframes move {
  0% {
    opacity: 0;
  }
  50% {
    opacity: 1;
  }
  100% {
    opacity: 0;
    transform: translateY(40px) rotate(45deg);
  }
}

/* ajustes */
.caja-valores:hover span, .caja-valores:hover p {
	color: white;
}
.caja-valores:hover svg {
	fill: white
}
.premio-logo img {
	height: 50px;
	object-fit: contain;
}

/* woo */
.ficha .e-n-tabs-content .e-con {
	max-height: 300px;
	min-height: 300px;
	overflow-y: scroll;
}
body:not([class*=elementor-page-]) .site-main {
    max-width: 1280px;
}
.woocommerce-cart .alignwide {
	margin-left: 0;
    margin-right: 0;
}
.wc-block-components-sidebar-layout {
    min-height: 90vh;
	border: 1px solid var(--e-global-color-text);
	margin-top: 100px!important;
	margin-bottom: 60px!important;
}
.wc-block-components-sidebar {
    background: #eee;
    padding: 2.2%;
    //border-left: 1px var(--e-global-color-text)!important;
}
.wc-block-components-sidebar-layout .wc-block-components-main {
    padding: 4% 2%;
}
.wc-block-components-order-summary .wc-block-components-panel__button {
    background: transparent;
    padding: 0;
    font-size: 1.2rem!important;
}
.wc-block-components-checkout-place-order-button {
	background: var(--e-global-color-text)!important;
	color: var(--e-global-color-secondary);
	border-color: var(--e-global-color-text);
}
.elementor-menu-cart__product {
	align-items: end;
}
.recomendados ul.products.elementor-grid {
	display: flex!important;
	justify-content: center;
}
@media (max-width: 767px) {
	.recomendados ul.products.elementor-grid {
		flex-direction: column;
		margin-bottom: 6rem!important;
	}
}

/* fixes */
.woocommerce-Address {
	position: relative;
}
.u-column2.col-2.woocommerce-Address {
	margin-top: 40px;
}
.woocommerce-Address .woocommerce-Address-title {
	padding: 20px;
}
.woocommerce-Address-title h3 {
	margin-bottom: 0!important;
}
.woocommerce-Address .edit {
	margin-left: 0!important;
	margin-top: 10px!important;
}
.woocommerce-Address address {
	padding-top: 100px!important;
	height: fit-content!important;
}